<!doctype html>
<html lang="en" class="h-100">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <title>Payment Backend Example Server</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.3/css/bootstrap.min.css"
          integrity="sha512-oc9+XSs1H243/FRN9Rw62Fn8EtxjEYWHXRvjS43YtueEewbS6ObfXcJNyohjHqVKFPoXXUxwc+q1K7Dee6vv9g=="
          crossorigin="anonymous"/>

    <script src="//cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.js"
            integrity="sha256-yr4fRk/GU1ehYJPAs8P4JlTgu0Hdsp4ZKrx8bDEDC3I=" crossorigin="anonymous"></script>
    <script type="text/javascript" charset="utf-8">
        var socket = io();
        socket.on('connect', function (data) {
            $("#changes").text("");
        })
        socket.on('reload', function (data) {
            $("#frame")[0].contentWindow.location.reload();
        });
        socket.on('event', function (data) {
            data = JSON.parse(data);
            var options = {year: 'numeric', month: 'numeric', day: 'numeric', hour: "numeric", minute: "numeric"};
            let timestamp = new Date(data["timestamp"] * 1000);
            let string = timestamp.toLocaleString(options) + ": ";

            if (data.api_call) {
                // api call
                string += data.api_call + ", HTTP" + data.status_code;
                if (data.status_code > 299) {
                    string += JSON.stringify(data.content);
                }
                string = "API: " + string;
            } else {
                string += data["model"] + ", " + data["event"] + ", id:" + data["id"]
                string = "WHK: " + string;
            }

            $("#changes").text(string + "\n" + $("#changes").text());
        });
    </script>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
</head>
<body class="d-flex flex-column h-100">
<header>
    <!-- Fixed navbar -->
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <a class="navbar-brand" href="/payments" target="frame">Payment Backend Example Server</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
                aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/payments" target="frame">Payment List</a>
                </li>
            </ul>
        </div>
    </nav>
</header>

<!-- Begin page content -->
<main role="main" class="flex-shrink-0 pt-5">
    <div class="mt-5">
        <div class="row" style="height: 100vh">
            <div class="col-6">
                <div style="height: 80vh; position:relative;">
                    <iframe src="/payments"
                            class="pl-5"
                            name="frame"
                            id="frame"
                            style="position:absolute; height: 100%; width: 100%; top: 0; right:0; left: 0; bottom: 0;"
                            frameborder="0">
                    </iframe>
                </div>
            </div>
            <div class="col-6">
                <h3>Live Changes</h3>
                <pre id="changes" style="width: 100%">

            </pre>
            </div>
        </div>
    </div>
</main>
</body>
</html>

